//------------------------------------------------------------------
//Pin Declarations
#define dirPinR 11            //Pin 11 signifies the direction control on the Mini Driver of the right motor.
#define pwmPinR 6             //Pin 6 signifies the speed control on the Mini Driver of the right motor.
#define dirPinL 10            //Pin 10 signifies the direction control on the Mini Driver of the left motor.
#define pwmPinL  5            //Pin 5 signifies the speed control on the Mini Driver of the left motor. 
//------------------------------------------------------------------



/*------------------------------------------------------------------
Modify this section to change PopPet's motor speeds. 
If you're PopPet is curving to the left instead of going straight; increase left motor speed and/or decrease right motor speed.
If you're PopPet is curving to the right instead of going straight; increase right motor speed and/or decrease left motor speed.
*/
#define motSpdR 150           //This variable holds the value used in the PWM speed control of the right motor.
#define motSpdL 150           //This variable holds the value used in the PWM speed control of the left motor.
//------------------------------------------------------------------



//------------------------------------------------------------------
//Modify this section to reverse PopPet's motor direction. Change to '1' to reverse direction.
#define motLInverse 0
#define motRInverse 0
//------------------------------------------------------------------



//------------------------------------------------------------------
//This sections configures the motor pins to be outputs
void configureMotors()
{
  pinMode(dirPinR,OUTPUT);                             
  pinMode(pwmPinR,OUTPUT);
  pinMode(dirPinL,OUTPUT);
  pinMode(pwmPinL,OUTPUT);
}
//------------------------------------------------------------------



//------------------------------------------------------------------
//This section controls PopPet's movements
//Configures the motors to move PopPet Backward
void moveBackward()
{
  if (motRInverse == 0) {
    digitalWrite(dirPinR, LOW);
  }
  else {
    digitalWrite(dirPinR, HIGH);
  }
  if (motLInverse == 0) {
    digitalWrite(dirPinL, HIGH);
  }
  else {
    digitalWrite(dirPinL, LOW);
  }
  analogWrite(pwmPinR, motSpdR);
  analogWrite(pwmPinL, motSpdL);
}

//Configures the motors to move PopPet Forward
void moveForward()
{
  if (motRInverse == 0) {
    digitalWrite(dirPinR, HIGH);
  }
  else {
    digitalWrite(dirPinR, LOW);
  }
  if (motLInverse == 0) {
    digitalWrite(dirPinL, LOW);
  }
  else {
    digitalWrite(dirPinL, HIGH);
  }
  analogWrite(pwmPinR, motSpdR);
  analogWrite(pwmPinL, motSpdL);
}

//Configures the motors to turn PopPet to the Left
void turnLeft()
{
  if (motRInverse == 0) {
    digitalWrite(dirPinR, HIGH);
  }
  else {
    digitalWrite(dirPinR, LOW);
  }
  if (motLInverse == 0) {
    digitalWrite(dirPinL, HIGH);
  }
  else {
    digitalWrite(dirPinL, LOW);
  }

  analogWrite(pwmPinR, motSpdR);
  analogWrite(pwmPinL, motSpdL);
}

//Configures the motors to turn PopPet to the Right
void turnRight()
{
  if (motRInverse == 0) {
    digitalWrite(dirPinR, LOW);
  }
  else {
    digitalWrite(dirPinR, HIGH);
  }
  if (motLInverse == 0) {
    digitalWrite(dirPinL, LOW);
  }
  else {
    digitalWrite(dirPinL, HIGH);
  }
  analogWrite(pwmPinR, motSpdR);
  analogWrite(pwmPinL, motSpdL);
}

//Makes PopPet stop
void moveStop()
{
  digitalWrite(dirPinR, LOW);
  digitalWrite(dirPinL, LOW);
  analogWrite(pwmPinR, 0);
  analogWrite(pwmPinL, 0);
}
